$spacer : ($font-size * $base-line-height);
$spacer-x : $spacer;
$spacer-y : $spacer;

$spacer-list : (
        0: (
                x: 0,
                y: 0
        ),
        .5: (
                x: ($spacer-x * .5),
                y: ($spacer-y * .5)
        ),
        1: (
                x: $spacer-x,
                y: $spacer-y
        ),
        2: (
                x: ($spacer-x * 1.5),
                y: ($spacer-y * 1.5)
        ),
        3: (
                x: ($spacer-x * 3),
                y: ($spacer-y * 3)
        ),
        4: (
                x: ($spacer-x * 4),
                y: ($spacer-y * 4)
        ),
        10: (
                x: 10px,
                y: 10px
        ),
        20: (
                x: 20px,
                y: 20px
        ),
        30: (
                x: 30px,
                y: 30px
        ),
        buttons: ($spacer-x * .25 $spacer-y * .55),
        text: ($spacer-x * .7 $spacer-y * 1.1),
        object: ($spacer-x * 1.65 $spacer-y * 2),
        wrapper: ($spacer-x * .9 0)
);

@function spacer($direction, $size, $spacers: $spacer-list) {
    @return map-get(map-get($spacers, $size), $direction);
}

@function spacer-x($size, $spacers: $spacer-list) {
    @return spacer(x, $size, $spacers);
}

@function spacer-y($size, $spacers: $spacer-list) {
    @return spacer(y, $size, $spacers);
}

@function spacer-o($direction, $spacers: $spacer-list) {
    @return map_get($spacers, $direction);
}